# BasicPluginManager.h File Reference

`#include "BasicException.h"`
`#include "BasicPluginInfo.h"`
`#include "BasicClassFactoryBase.h"`
`#include <map>`
`#include <list>`
`#include <string>`
`#include <ltdl.h>`
`#include <string.h>`
`#include <glob.h>`

Include dependency graph for BasicPluginManager.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | BasicPluginManager< T >